from aiohttp import web


class StoragesController:

    @staticmethod
    def add_routes(app):
        app.add_routes([
            web.get('/storages', StoragesController.list),
            web.post('/storages/create', StoragesController.create),
            web.get('/storages/{storage}', StoragesController.show),
            web.delete('/storages/{storage}/delete', StoragesController.delete)
        ])

    @staticmethod
    async def create(request):
        return web.Response(text='Create')

    @staticmethod
    async def list(request):
        return web.Response(text='List')

    @staticmethod
    async def show(request):
        return web.Response(text='Show')

    @staticmethod
    async def delete(request):
        return web.Response(text='Delete')
